#!/usr/bin/perl
use strict;
use lib ".";
use CGI;
use CGI::Carp('fatalsToBrowser');
use vrmd_api;

my ($q, $status, $select_list);

$q = CGI->new();
$q->import_names("Q");

if ($Q::action eq "check") {
	$status = getDomainStatus($Q::sld, $Q::tld);
}

$select_list = getSelectList($Q::tld);

print <<EOF;
Content-Type: text/html

<html>
	<head>
		<meta content="text/html; charset=UTF-8" http-equiv="content-type">
		<title>check domain status</title>
	</head>
	<body>
		<form action="domstatus.pl" method="get">
		<input type="hidden" name="action" value="check">
		<table border="0" cellpadding="2" cellspacing="2">
			<tr>
				<td>Domain:</td>
				<td>www. <input type="text" name="sld" value="$status->{"sld_form"}">.<select name="tld">$select_list</select></td>
				<td><input type="submit" value="check"></td>
			</tr>
			<tr>
				<td colspan="3">* Bei Domainnamen mit dieser Endung sind Umlaute m&ouml;glich.</td>
			</tr>
		</table>
		</form>
EOF

if ($Q::action eq "check") {
	print <<EOF;
		<table border="0" cellpadding="2" cellspacing="2">
			<tr>
				<td>Domain:</td>
				<td>$status->{"domain_full"}</td>
			</tr>
			<tr>
				<td>Status:</td>
				<td>$status->{"worded"}</td>
			</tr>
		</table>
EOF
}

print <<EOF;
	</body>
</html>
EOF
